Name:		fedora-release-notes
Version:	6.93
Release:	2
Summary:	Release Notes for Fedora %{version}
URL:		http://fedoraproject.org/wiki/Docs/Beats

Group:		System Environment/Base
License:	Distributable
Source0:	fedora-release-notes-%{version}.tar.gz
Source1:	homepage-%{version}.tar.gz
Source2:	about-fedora-%{version}.tar.gz
Source3:	README-%{version}.tar.gz
Source4:	README-BURNING-ISOS-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	desktop-file-utils
Provides:	indexhtml = %{version}-%{release}
Obsoletes:	indexhtml < 9-3

%description 
These are the official Release Notes for Fedora %{version},
written and edited by the Fedora community.  For more
information on the Release Notes process or how you can
contribute, refer to the Release Notes HOWTO located at
http://fedoraproject.org/wiki/Docs/Beats/HowTo.

%prep
%setup -q
%setup -D -q -a 1
%setup -D -q -a 2
%setup -D -q -a 3
%setup -D -q -a 4


%build
#cat %{SOURCE1} > index.html
#sed 's/.*<div class="article"/<div class="article"/g' \
#	RELEASE-NOTES-en_US.html >> index.html
#cat %{SOURCE2} >> index.html
#sed -i 's/@RELEASE@/%{version}/g' about-gnome.desktop


%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
install -m 644 fedora.css $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
install -m 644 README-Accessibility $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
for DIR in css img stylesheet-images ; do
  install -m 755 -d $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/$DIR
  find $DIR -type f -exec install -m 644 {} $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/$DIR \;
done
for F in RELEASE-NOTES-*.html; do
  install -m 644 -D $F $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/$F
done
pushd README-BURNING-ISOS-%{version}/
install -m 644 README-BURNING-ISOS*.txt $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
popd
pushd homepage-%{version}
install -m 644 homepage/* $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
install -m 644 homepage/index-en_US.html $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/index.html
popd
pushd about-fedora-%{version}
find about/ -type f -exec install -m 644 -D {} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/{} \;
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/omf/about-fedora
install -m 644 about-*omf $RPM_BUILD_ROOT%{_datadir}/omf/about-fedora/
install -m 644 -D about-gnome.desktop $RPM_BUILD_ROOT%{_datadir}/applications/about-fedora.desktop
popd
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/omf/fedora-release-notes
install -m 644 fedora-release-notes-*.omf $RPM_BUILD_ROOT%{_datadir}/omf/%{name}/


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x /usr/bin/scrollkeeper-update ]; then scrollkeeper-update -q -o %{_datadir}/omf/{%{name},about-fedora}; fi
if [ -x /usr/bin/update-desktop-database ]; then update-desktop-database &> /dev/null; fi

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then scrollkeeper-update -q; fi
if [ -x /usr/bin/update-desktop-database ]; then update-desktop-database &> /dev/null; fi


%files
%defattr(-,root,root,-)
%{_defaultdocdir}/HTML
%{_defaultdocdir}/fedora-release-notes-%{version}/
%{_datadir}/applications/about-fedora.desktop
%{_datadir}/omf/fedora-release-notes/
%{_datadir}/omf/about-fedora/


%changelog
* Mon Apr 23 2007 Jesse Keating <jkeating@redhat.com> - 6.93-2
- Updated translations and bits from wiki

* Sun Apr 15 2007 Paul W. Frields <stickster@gmail.com> - 6.93-1
- Update for Fedora 7 test4

* Fri Mar 23 2007 Paul W. Frields <stickster@gmail.com> - 6.92-5
- Bump release to include fixes in homepage module

* Fri Mar 23 2007 Paul W. Frields <stickster@gmail.com> - 6.92-4
- Add temporary community help notice to Release Notes for F7 test3

* Thu Mar 22 2007 Paul W. Frields <stickster@gmail.com> - 6.92-3
- Bump release for rebuild

* Thu Mar 22 2007 Paul W. Frields <stickster@gmail.com> - 6.92-2
- Use content from all supplemental modules in Docs CVS

* Mon Mar 19 2007 Paul W. Frields <stickster@gmail.com> - 6.92-1
- Update for Fedora 7 test3

* Sat Jan 27 2007 Paul W. Frields <stickster@gmail.com> - 6.91-1
- Update for Fedora 7 test2

* Sun Oct 15 2006 Paul W. Frields <stickster@gmail.com> - 6-3
- Fix IG publication URL
- Amend CSS to respect font selections and restore icons

* Sun Oct  8 2006 Paul W. Frields <stickster@gmail.com> - 6-2
- Localize About Fedora menu item (somewhat)

* Thu Oct 05 2006 Jesse Keating <jkeating@redhat.com> - 6-1
- Build for FC6, lots of new translations

* Sat Sep 30 2006 Paul W. Frields <stickster@gmail.com> - 5.92-7
- Include new i18n browser home page

* Mon Sep 25 2006 Jesse Keating <jkeating@redhat.com> - 5.92-6
- Bump for lang fixes

* Tue Sep 12 2006 Paul W. Frields <stickster@gmail.com> - 5.92-5
- Update scrollkeeper data for about-fedora

* Mon Sep 11 2006 Paul W. Frields <stickster@gmail.com> - 5.92-4
- Update about-fedora

* Wed Sep  6 2006 Paul W. Frields <stickster@gmail.com> - 5.92-3
- Make sure we package README-BURNING-ISOS files

* Tue Sep  5 2006 Jesse Keating <jkeating@redhat.com> - 5.92-1
- Bump for 5.92

* Fri Sep  1 2006 Paul W. Frields <stickster@gmail.com> - 5.91-8
- Handle i18n OMF files

* Sat Aug 26 2006 Paul W. Frields <stickster@gmail.com> - 5.91-7
- Add README-BURNING-ISOS.txt for inclusion in mirrors
- Put About document in proper directory

* Wed Aug  2 2006 Jesse Keating <jkeating@redhat.com> - 5.91-6
- bump

* Wed Aug  2 2006 Paul W. Frields <stickster@gmail.com> - 5.91-5
- Add README-Accessibility (moved from fedora-release)

* Wed Jul 26 2006 Paul W. Frields <stickster@gmail.com> - 5.91-4
- Process paths correctly (#200266)
- Package standalone HTML

* Sun Jul 23 2006 Jesse Keating <jkeating@redhat.com> - 5.91-3
- Only use tabs
- Version the indexhtml provides/obsoletes
- Cleanup post and postun scriptlets
- Don't require fedora-release, fedora-release requires us.
- Add a URL tag

* Sun Jul 16 2006 Paul W. Frields <stickster@gmail.com> - 5.91-1
- Initial release for Fedora Core 6 test2.

